itpp::Square_Source Class Reference
Signal Processing (SP) Module » Deterministic Sources

Square-wave source. More...

`#include <itpp/signal/source.h>`

## Public Member Functions

| Square_Source (double freq, double mean=0.0, double ampl=1.0, double inphase=0.0)
| Constructor. Set frequency, mean, amplitude, and start phase.
double | operator() ()
| Return a single sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Square-wave source.

Definition at line 65 of file source.h.

## Constructor & Destructor Documentation

## Square_Source()

itpp::Square_Source::Square_Source | ( | double | freq,
|  | double | mean = 0.0,
|  | double | ampl = 1.0,
|  | double | inphase = 0.0 )

Constructor. Set frequency, mean, amplitude, and start phase.

Definition at line 84 of file source.cpp.

References itpp::mean(), and itpp::pi.

## Member Function Documentation

## operator()() [1/3]

double itpp::Square_Source::operator() | ( |  | ) |

inline

Return a single sample.

Definition at line 71 of file source.h.

## operator()() [2/3]

vec itpp::Square_Source::operator() | ( | int | n | ) |

Get a sample vector.

Definition at line 103 of file source.cpp.

## operator()() [3/3]

mat itpp::Square_Source::operator() | ( | int | h,
|  | int | w )

Get a sample matrix.

Definition at line 113 of file source.cpp.

The documentation for this class was generated from the following files:

- itpp/signal/source.h
- itpp/signal/source.cpp

Generated on for IT++ by Doxygen 1.15.0